declare const module: {
    root: boolean;
    parser: string;
    plugins: string[];
    extends: string[];
    settings: {
        'import/resolver': {
            typescript: {};
        };
        'import/no-extraneous-dependencies': (string | {
            devDependencies: string[];
        })[];
        'svelte3/typescript': boolean;
    };
    parserOptions: {
        ecmaVersion: string;
        sourceType: string;
        project: string[];
    };
    env: {
        node: boolean;
        es6: boolean;
        browser: boolean;
    };
    overrides: ({
        files: string[];
        env: {
            jest: boolean;
        };
        processor?: undefined;
    } | {
        files: string[];
        processor: string;
        env?: undefined;
    })[];
    rules: {
        'import/extensions': (string | {
            ts: string;
            tsx: string;
        })[];
        'import/prefer-default-export': string;
        'import/no-mutable-exports': string;
        'no-labels': string;
        'no-restricted-syntax': string;
        'import/no-extraneous-dependencies': (string | {
            devDependencies: string[];
        })[];
        'no-use-before-define': string;
        '@typescript-eslint/explicit-function-return-type': string;
        '@typescript-eslint/no-use-before-define': string[];
        'jsdoc/require-param-type': string;
        'jsdoc/require-param': string;
    };
};
export default module;
